Subject: RE: [hackers-il] Maintenance of 10,000,000 lines long application s?

From: Chen Shapira <[email-masked]>
Date: Sun, 6 May 2001 11:53:09 +0200

> <cynical>
> Yes. This is a great solution. Why don't we make an entire 
> huge project
> (to write 10,000,000 lines in less than a generation you'll 
> need several
> dozen programmers, right?) be entirely dependant on one person. Better
> yet, let's make that person a part-time worker, and even one who might
> disappear from the company for weeks at a time (i.e., in test 
> season). Even
> better, after that person learns everything about this huge 
> project and
> keeps everything in his or her head, he or she will graduate, go for a
> year to east-Asia (or just get a different job), and the 
> project is toast
> because nobody else even remembers how to compile that monster.
> </cynical>

Possible solutions:
1) If the sayed student disappears during testing season and is only part
time, programmers won't forget how to build. But also most of the time they
won't have to do it.

2) Have a team of such people serving the entire company.

Anyway, we use the system I described at mercury, and it works well. I think
we avoid the doom you forsee by having all programmers know how to compile.

---

From: guy keren <[email-masked]>
Date: Sun, 6 May 2001 12:08:50 +0300 (EET DST)

> time, programmers won't forget how to build. But also most of the time they

this goes well with the 'at least two people to know each part of the
code' - configuration management (project files, makefiles, scripts,
environments, etc are part of the system).

> we avoid the doom you forsee by having all programmers know how to compile.

this is interesting. how many programmers per such integrator do you
use? what size of code base (approx.) each such integrator handles? how
often do you get into situations where the integrator missed problems that
causes prorgammers to be unable to compile their code for a few hours (or
more)? what are the programming environments used by these projects?

--
guy

"For world domination - press 1,
 or dial 0, and please hold, for the creator." -- nob o. dy